---
manual:
  description: Manual proxy configuration
  disabled:
    type: variable
    variable: _.proxy_mode
    when_not: 'Manual proxy configuration'

  http_proxy:  # HTTP Proxy

    address:
      description: HTTP address
      type: domainname
      params:
        allow_ip: true

    port:
      description: HTTP Port
      type: port
      default: '8080'

  use_for_https: true  # Also use this proxy for HTTPS

  https_proxy:
    description: HTTPS Proxy
    hidden:
      type: variable
      variable: _.use_for_https

    address:
      description: HTTPS address
      type: domainname
      params:
        allow_ip: true
      default:
        type: variable
        variable: __.http_proxy.address

    port:
      description: HTTPS Port
      type: port
      default:
        type: variable
        variable: __.http_proxy.port
